grumphp:
    tasks:
        make:
            make_file: Makefile
            task: before-commit
            triggered_by: [php, yml, md]
        git_commit_message:
            allow_empty_message: false
            enforce_capitalized_subject: false
            enforce_no_subject_punctuations: false
            enforce_no_subject_trailing_period: true
            enforce_single_lined_subject: true
            type_scope_conventions:
                types:
                    - 📦 NEW
                    - 👌 IMPROVE
                    - 🐛 FIX
                    - 📖 DOCS
                    - 🚀 RELEASE
                    - 🤖 TEST
                    - ‼️ BREAKING
                scopes: ~
                subject_pattern: >-
                    ([a-zA-Zа-яА-Я0-9-_ #@'\/\"]+)
